MultiHostConnectionProxy.JdbcInterfaceProxy
Date: 2018-05-01

com.mysql.jdbc

## Class MultiHostConnectionProxy.JdbcInterfaceProxy

- java.lang.Object
- - com.mysql.jdbc.MultiHostConnectionProxy.JdbcInterfaceProxy

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler
  Direct Known Subclasses:
    FailoverConnectionProxy.FailoverJdbcInterfaceProxy
  Enclosing class:
    MultiHostConnectionProxy

       class MultiHostConnectionProxy.JdbcInterfaceProxy
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

  Proxy class to intercept and deal with errors that may occur in any object bound to the current connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Object` | `invokeOn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiHostConnectionProxy.JdbcInterfaceProxy(java.lang.Object toInvokeOn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invokeOn

          java.lang.Object invokeOn

  - ### Constructor Detail

    - #### MultiHostConnectionProxy.JdbcInterfaceProxy

          MultiHostConnectionProxy.JdbcInterfaceProxy(java.lang.Object toInvokeOn)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object proxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`